%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Jcode


Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	This is a Perl extension interface to convert Japanese text.
Name:		perl-%{perlname}
Version:	2.06
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Jcode
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
This is a Perl extension interface to convert Japanese text.

For more details see: http://search.cpan.org/search?module=Jcode

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.06-2
- Rebuild against perl 5.10.0
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.06-1
- Initial Release
